package org.jeecg.modules.ai.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.ai.entity.PreExaminationMattersField;
import org.jeecg.modules.ai.qo.PreExaminationMattersFieldQuery;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 事项表单回显字段与材料对应关系表
 * @Author: jeecg-boot
 * @Date:   2023-11-29
 * @Version: V1.0
 */
public interface PreExaminationMattersFieldMapper extends BaseMapper<PreExaminationMattersField> {
	
	/**
	 * 查询数据列表
	 * @param queryWrapper
	 * @return
	 */
	List<PreExaminationMattersField> selectByEventCode(String eventCode);

}
