package org.jeecg.modules.ai.service;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.ai.entity.YsDirectory;
import org.jeecg.modules.ai.qo.YsDirectoryQuery;
import org.jeecg.modules.ai.vo.YsDirectoryVo;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @Description: 事项表
 * @Author: jeecg-boot
 * @Date:   2023-11-25
 * @Version: V1.0
 */
public interface IYsDirectoryService extends IService<YsDirectory> {

	/**
	 * 根据参数关联查询事项信息
	 * @param page
	 * @param queryWrapper
	 * @return
	 */
	IPage<YsDirectoryVo> getYsDirectoryList(Page page, @Param("query") YsDirectoryQuery query);
}
