package org.jeecg.modules.minio.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @author WangPeng
 * @date 2022/12/30 11:09
 * @description
 */
@Data
@Configuration
@ConfigurationProperties(prefix = "jeecg.minio")
public class MinIoProperties {

    /**
     * 服务端地址
     */
    private String minioUrl;

    /**
     * 服务端映射路径
     */
    private String mappingPath;

    /**
     * 授权账号
     */
    private String minioName;

    /**
     * 授权密码
     */
    private String minioPass;

    /**
     * 存储通名称
     */
    private String bucketName;

}
