package org.jeecg.modules.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.system.entity.NationDepart;

/**
 * @Description: nation_depart
 * @Author: jeecg-boot
 * @Date:   2022-02-28
 * @Version: V1.0
 */
public interface NationDepartMapper extends BaseMapper<NationDepart> {
    NationDepart queryDepartByCode(@Param("subCode") String subCode);

    //通过userId获取用户所在的国家部门
    NationDepart queryDepartByUserId(@Param("userId") String userId);
}
