package org.jeecg.modules.ai.service;

import java.util.List;

import org.jeecg.modules.ai.entity.PreExaminationMattersField;
import org.jeecg.modules.ai.qo.PreExaminationMattersFieldQuery;
import org.jeecg.modules.ai.vo.PreExaminationMattersFieldVo;

import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @Description: 事项表单回显字段与材料对应关系表
 * @Author: jeecg-boot
 * @Date:   2023-11-29
 * @Version: V1.0
 */
public interface IPreExaminationMattersFieldService extends IService<PreExaminationMattersField> {
	
	/**
	 * 获取已经配置的表单字段
	 * @param preExaminationMattersField
	 * @return
	 */
	public List<PreExaminationMattersFieldVo> getPreExaminationMattersFieldListByEvent(PreExaminationMattersFieldQuery query);

	/**
	 * 保存表单数据
	 * @param reviewInfo
	 * @return
	 */
	public boolean saveInfo(String reviewInfo) ;
}
