package org.jeecg.modules.ai.service;

import org.jeecg.modules.ai.entity.Room;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @Description: 房间表
 * @Author: jeecg-boot
 * @Date:   2023-11-30
 * @Version: V1.0
 */
public interface IRoomService extends IService<Room> {
	
	/**
	 * 创建房间并返回房间地址
	 * @return
	 */
	public JSONObject saveRoom(String userId);

}
