package org.jeecg.modules.system.to;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author liushuai
 * @create 2022-02-16 12:10
 */
@Data
public class SysDepartTo {
    private String id;
    private String departCode;
    private String departName;
    private String parentId;
    private String areaId;
    private String areaCode;
    private String status;
    private Integer departOrder;
    private String socialCreditCode;
    private String departSimpleName;
    private String orgType;
    private Integer manubrium;
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    /**更新时间*/
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    private String performLevel;
    private String delFlag;
    private String bigDepartCode;
    private String areaLevel;
    private String bigDepartName;
}
