package org.jeecg.modules.system.to;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author liushuai
 * @create 2022-02-17 10:17
 */
@Data
public class SysUserTo {
    private String id;
    private String username;
    private String realname;
    private String phone;
    private String documentType;
    private String idCard;
    private String departId;
    private String departCode;
    private String departName;
    private Integer status;
    private String userType;
    private String userLevel;
    private Integer sex;
    private Integer delFlag;
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
